<?php
add_action('init','of_options');

if (!function_exists('of_options')) 
{
		
	function of_options()
	{

		/*
		*	Theme Shortname
		*/
		$themename = "theme";
		$shortname = "theme";

		/*
		*	Populate the options array
		*/
		global $tt_options;
		
		$tt_options = get_option('of_options');

		/*
		*	Access the WordPress Pages via an Array
		*/
		$tt_pages = array();
		
		$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
		
		foreach ($tt_pages_obj as $tt_page) 
		{
			$tt_pages[$tt_page->ID] = $tt_page->post_name; 
		}
		
		$tt_pages_tmp = array_unshift($tt_pages, "Select a page:" ); 


		/*
		*	Access the WordPress Categories via an Array
		*/
		$tt_categories = array();  
		
		$tt_categories_obj = get_categories('hide_empty=0');
		
		foreach ($tt_categories_obj as $tt_cat) 
		{
			$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
		}
		
		$categories_tmp = array_unshift($tt_categories, "Select a category:");


		/*
		*	Sample Array for demo purposes
		*/
		$sample_array = array("1","2","3","4","5");


		/*
		*	Sample Advanced Array - The actual value differs from what the user sees
		*/
		$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


		/*
		*	Folder Paths for "type" => "images"
		*/
		$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';




/*-----------------------------------------------------------------------------------*/
/* Create The Custom Theme Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall



/* Option Page - Header Options */
$options[] = array( "name" => __('هدر','framework'),
			"type" => "heading");
			

$options[] = array( "name" => __('لوگو','framework'),
			"desc" => __('لوگوی سایت را بارگذاری کنید.','framework'),
			"id" => $shortname."_sitelogo",
			"std" => "",
			"type" => "upload");
			
			
$options[] = array( "name" => __('فاوآیکون','framework'),
			"desc" => __('یک تصویر 16px در 16px برای نمایش در کنار عنوان سایت بارگذاری کنید.','framework'),
			"id" => $shortname."_favicon",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('رنگ زمینه ی منوی اصلی','framework'),
			"desc" => __('یک رنگ برای زمینه ی منوی اصلی انتخاب کنید. بهترین رنگ به صورت پیش فرض #46a1b4 انتخاب شده است.','framework'),
			"id" => $shortname."_nav_bg_color",
			"std" => "#46a1b4",
			"type" => "color");

$options[] = array( "name" => __('رنگ متن منوی اصلی','framework'),
			"desc" => __('یک رنگ برای لینک های منوی اصلی انتخاب کنید پیش فرض بهترین رنگ می باشد #ffffff','framework'),
			"id" => $shortname."_nav_text_color",
			"std" => "#ffffff",
			"type" => "color");			

$options[] = array( "name" => __('رنگ سایه ی متن های منوی اصلی','framework'),
			"desc" => __('یک رنگ برای سایه دار شدن متن منوی بالا انتخاب کنید. بهترین حالت #20606D است. This will also be applied to appointment widget.','framework'),
			"id" => $shortname."_nav_text_shadow_color",
			"std" => "#20606D",
			"type" => "color");	

$options[] = array( "name" => __('رنگ خطوط سمت راست منوی اصلی','framework'),
			"desc" => __('یک رنک برای حاشیه منوی اصلی انتخاب کنید بهترین حالت #54AEC2','framework'),
			"id" => $shortname."_nav_border_color",
			"std" => "#54AEC2",
			"type" => "color");			

$options[] = array( "name" => __('رنگ زمینه ی منو وقتی ماوس روی لینک قرار گرفت','framework'),
			"desc" => __('یک رنگ برای وقتی که ماوس روی لینک قرار گرفغت انتخاب کنید بهترین رنگ #377F8F','framework'),
			"id" => $shortname."_nav_hover_color",
			"std" => "#377F8F",
			"type" => "color");

$options[] = array( "name" => __('رنگ زمینه ی زیر مجموعه های منوی اصلی','framework'),
			"desc" => __('یک رنگ برای وقتی که ماوس روی زیر مجموعه های منو قرار گرفت بهترین رنگ #2C6774','framework'),
			"id" => $shortname."_sub_nav_hover_color",
			"std" => "#2C6774",
			"type" => "color");	
																		   
$options[] = array( "name" => __('کدهای دلخواه','framework'),
			"desc" => __('کد گوگل آنالیر یا هر کد دیگر را می توانید در این قسمت وارد کنید.','framework'),
			"id" => $shortname."_google_analytics",
			"std" => "",
			"type" => "textarea");


/* Option Page - Styling */

$options[] = array( "name" => __('استایل','framework'),
			"type" => "heading");

$options[] = array( "name" => __('رنگ بندی سفارشی','framework_localize'),
			"desc" => "",
			"id" => $shortname."_background_callout",
			"std" => "به صورت استاندارد می توانید برای این قالب رنگ زمینه ی سفارشی یا تصویر انتخاب کنید برای این کار به قسمت <strong>نمایش >> پس زمینه</strong> مراجعه کنید. ",
			"type" => "info");															

$options[] = array( "name" => __('رنگ متن بدنه ی سایت','framework'),
			"desc" => __('یک رنگ برای بدنه سایت انتخاب کنید بهترین حالت #808080','framework'),
			"id" => $shortname."_body_text_color",
			"std" => "#808080",
			"type" => "color");

$options[] = array( "name" => __('رنگ سرتیترها','framework'),
			"desc" => __('انتخاب یک رنگ برای h1, h2, h3, h4, h5 و h6 . بهترین رنگ #6a6a75','framework'),
			"id" => $shortname."_body_headings_color",
			"std" => "#6a6a75",
			"type" => "color");

$options[] = array( "name" => __('رنگ حالت انتخاب','framework'),
			"desc" => __('یک رنگ برای وقتی که یک متن را داخل صفحه انتخاب می کنید برگزینید بهترین حالت #F56734','framework'),
			"id" => $shortname."_highlight_color",
			"std" => "#F56734",
			"type" => "color");

$options[] = array( "name" => __('انتخاب رنگ زمینه','framework'),
			"desc" => __('یک رنگ برای زمینه  انتخاب کنید بهترین حالت #3E96A9','framework'),
			"id" => $shortname."_selection_bg_color",
			"std" => "#3E96A9",
			"type" => "color");

$options[] = array( "name" => __('رنگ لینک','framework'),
			"desc" => __('یک رنگ برای لینک ها انتخاب کنید بهترین حالت #4c595c','framework'),
			"id" => $shortname."_link_color",
			"std" => "#4c595c",
			"type" => "color");

$options[] = array( "name" => __('رنگ لینک وقتی ماوس روی لینک قرار دارد','framework'),
			"desc" => __('یک رنگ برای لینک ها وقتی هاور میشود انتخاب کنید بهترین حالت #f56734','framework'),
			"id" => $shortname."_link_hover_color",
			"std" => "#f56734",
			"type" => "color");			

$options[] = array( "name" => __('رنگ زمینه ی دکمه ها','framework'),
			"desc" => __('رنگ زمینه ی دکمه ها را انتخاب کنید بهترین حالت #f56734','framework'),
			"id" => $shortname."_button_bg_color",
			"std" => "#f56734",
			"type" => "color");

$options[] = array( "name" => __('رنگ متن دکمه ها','framework'),
			"desc" => __('یک رنگ برای متن دکمه ها انتخاب کنید بهترین حالت #ffffff','framework'),
			"id" => $shortname."_button_text_color",
			"std" => "#ffffff",
			"type" => "color");

$options[] = array( "name" => __('رنگ سایه متن دکمه ها','framework'),
			"desc" => __('یک رنگ برای سایه متن دکمه ها انتخاب کنید. بهترین حالت #AE421B','framework'),
			"id" => $shortname."_button_text_shadow_color",
			"std" => "#AE421B",
			"type" => "color");			

$options[] = array( "name" => __('رنگ زمینه ی منوی اسلایدر','framework'),
			"desc" => __('یک رنگ برای زمینه ی منوهای اسلایدر انتخاب کنید بهترین حالت #f15a23','framework'),
			"id" => $shortname."_slider_nav_bg_color",
			"std" => "#f15a23",
			"type" => "color");

$options[] = array( "name" => __('رنگ وقتی ماوس روی منوی اسلایدر قرار گرفت','framework'),
			"desc" => __('یک رنگ برای وقتی ماوس روی منوی اسلایدر قرار گرفتن انتخاب کنید. #ec490d','framework'),
			"id" => $shortname."_slider_nav_bg_hover_color",
			"std" => "#ec490d",
			"type" => "color");	

$options[] = array( "name" => __('رنگ حاشیه ی منوی اسلایدر','framework'),
			"desc" => __('یک رنگ برای حاشیه ی منوهای اسلایدر انتخاب کنید بهترین حالت #FD7B4D','framework'),
			"id" => $shortname."_slider_nav_border_color",
			"std" => "#FD7B4D",
			"type" => "color");	

$options[] = array( "name" => __('رنگ عنوان منوی اسلایدر','framework'),
			"desc" => __('یک رنگ برای عنوان منوی اسلایدر انتخاب کنید بهترین حالت #ffffff','framework'),
			"id" => $shortname."_slider_nav_text_color",
			"std" => "#ffffff",
			"type" => "color");								

$options[] = array( "name" => __('رنگ سایه ی عنوان منوی اسلایدر','framework'),
			"desc" => __('یک رنگ برای سایه عنوان منوی اسلایدر انتخاب کنید. بهترین حالت #BE4214','framework'),
			"id" => $shortname."_slider_nav_text_shadow_color",
			"std" => "#BE4214",
			"type" => "color");	

$options[] = array( "name" => __('رنگ متن توضیح منوی اسلایدر','framework'),
			"desc" => __('یک رنگ برای توضیح منوی اسلایدر انتخاب کنید بهترین حالت #FAD7CB','framework'),
			"id" => $shortname."_slider_nav_sub_title_color",
			"std" => "#FAD7CB",
			"type" => "color");	

$options[] = array( "name" => __('رنگ عنوان ابزارک ستون کناری','framework'),
			"desc" => __('یک رنگ برای عنوان ابزارک های ستون کناری بهترین حالت #56adc0','framework'),
			"id" => $shortname."_widget_title_color",
			"std" => "#56adc0",
			"type" => "color");	

$options[] = array( "name" => __('Quick CSS','framework'),
			"desc" => __('Just want to do some quick CSS changes? Enter them here, they will be applied to the theme. If you need to change major portions of the theme please use the custom.css file.','framework'),
			"id" => $shortname."_quick_css",
			"std" => "",
			"type" => "textarea");
			
			
/* Option Page - Social Navigation */
$options[] = array( "name" => __('شبکه اجتماعی','framework'),
			"type" => "heading");

$options[] = array( "name" => __('آیا می خواهید آیکون های شبکه اجتماعی در بالا نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_show_social_menu",
			"std" => "",
			"type" => "checkbox");

$options[] = array( "name" => __('فیسبوک','framework'),
			"desc" => __('لینک فیسبوک را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_facebook_link",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('توییتر','framework'),
			"desc" => __('لینک توییتر را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_twitter_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('اسکیپ','framework'),
			"desc" => __('لینک اسکیپ را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_skype_link",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('فلیکر','framework'),
			"desc" => __('لینک فلیکر را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_flickr_link",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('گوگل','framework'),
			"desc" => __('لینک گوگل را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_google_link",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینکدین','framework'),
			"desc" => __('لینک لینکدین را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_linkedin_link",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('آر آر اس','framework'),
			"desc" => __('لینک آر آر س را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_rss_link",
			"std" => "",
			"type" => "text");			

$options[] = array( "name" => __('شماره','framework'),
			"desc" => __('شماره تماس خود را برای نمایش در بالا وارد کنید.','framework'),
			"id" => $shortname."_phone_link",
			"std" => "",
			"type" => "text");	


/* Option Page - Blog */
$options[] = array( "name" => __('وبلاگ','framework'),
			"type" => "heading");		

$options[] = array( "name" => __('عنوان وبلاگ','framework'),
			"desc" => __("عناون وبلاگ را وارد کنید برای رنگی شدن از تگ &lt;span&gt;&lt;/span&gt; استفاده کنید.",'framework'),
			"id" => $shortname."_blog_title",
			"std" => __(".بلاگ <span>نوشته ها</span>", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن زیر عناون را وارد کنید','framework'),
			"desc" => __("متنی برای نمایش در زیر عنوان را وارد کنید.",'framework'),
			"id" => $shortname."_blog_text",
			"std" => __("", "framework"),
			"type" => "textarea");	
					
$options[] = array( "name" => __('آیا می خواهیدتصویر پست ها به صورت باکس نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_use_lightbox",
			"std" => "true",
			"type" => "checkbox");						



/* Option Page - Slogan */
$options[] = array( "name" => __('معرفی','framework'),
			"type" => "heading");	

$options[] = array( "name" => __('آیا می خواهید پیغام در بالای سرویس ها در صفحه اصلی نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_show_slogan",
			"std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('پیغام / شعار','framework'),
			"desc" => __("شعار سایت را وارد کنید.",'framework'),
			"id" => $shortname."_slogan_text",
			"std" => __("ارائه ی بهترین خدمات با بالاترین کیفیت برای شما.", "framework"),
			"type" => "text");

$options[] = array( "name" => __('رنگ متن شعار / پیغام','framework'),
			"desc" => __('یک رنگ برای نوشته شعار انتخاب کنید بهترین حالت #3e96a9','framework'),
			"id" => $shortname."_slogan_text_color",
			"std" => "#3e96a9",
			"type" => "color");				

$options[] = array( "name" => __('متن زیر شعار','framework'),
			"desc" => __("متنی برای نمایش در زیر شعار وارد کنید.",'framework'),
			"id" => $shortname."_slogan_sub_text",
			"std" => __("", "framework"),
			"type" => "text");

$options[] = array( "name" => __('رنگ متن زیر شعار','framework'),
			"desc" => __('یک رنگ برای متن زیر شعار انتخاب کنید بهترین حالت #819093','framework'),
			"id" => $shortname."_slogan_sub_text_color",
			"std" => "#819093",
			"type" => "color");	


/* Option Page - Doctors */
$options[] = array( "name" => __('کارمندان','framework'),
			"type" => "heading");	

$options[] = array( "name" => __('آیا می خواهید کارمندان یا شزشکان در صفحه ی اصلی نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_show_doctors",
			"std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('عنوان برگه کارمندان / پزشکان','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_doctors_heading",
			"std" => __("کارمندان یا پزشکان", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن کارمندا / پزشکان','framework'),
			"desc" => __("متنی برای نمایش در زیر عناون پزشکان یا کارمندان را وارد کنید.",'framework'),
			"id" => $shortname."_doctors_sub_text",
			"std" => __("", "framework"),
			"type" => "text");

$options[] = array( "name" => __('نمایش دکمه ی سایر کارمندان','framework'),
			"desc" => __("لینک دکمه ی نمایش داده شده در زیر کارمندان را وارد کنید تا وارد صفحه اصلی کارمندان شود.",'framework'),
			"id" => $shortname."_more_doctors_link",
			"std" => __("", "framework"),
			"type" => "text");		


/* Option Page - Testimonials */
$options[] = array( "name" => __('مشتریان','framework'),
			"type" => "heading");	

$options[] = array( "name" => __('آیا می خواهید سخنان مشتریان یا کارمندان در صفحه اصلی نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_show_testimonials",
			"std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('عناون سخنان مشتریان / کارمندان','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_testimonials_heading",
			"std" => __("برخی مشتریان ما", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن زیر عنوان','framework'),
			"desc" => __("متنی برای نمایش در زیر عنوان مشتریان را وارد کنید.",'framework'),
			"id" => $shortname."_testimonials_sub_text",
			"std" => __("", "framework"),
			"type" => "text");
			


/* Option Page - Services */
$options[] = array( "name" => __('برگه خدمات','framework'),
			"type" => "heading");		

$options[] = array( "name" => __('عنوان سرویس ها','framework'),
			"desc" => __("عنوان برگه ی سرویس ها را وارد کنید برای رنگی شدن از تگ &lt;span&gt;&lt;/span&gt; استفاده کنید.",'framework'),
			"id" => $shortname."_service_title",
			"std" => __("ما <span>سرویس هاس</span>", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن زیر عنوان','framework'),
			"desc" => __("متنی برای نمایش در زیر عناون را وارد کنید.",'framework'),
			"id" => $shortname."_service_text",
			"std" => __("", "framework"),
			"type" => "textarea");						


/* Option Page - Services List */
$options[] = array( "name" => __('لیست خدمات','framework'),
			"type" => "heading");	

$options[] = array( "name" => __('آیا می خواهید سرویس ها در صفحه ی اصلی و برگه ی سرویس ها نمایش داده شود ?','framework'),
			"desc" => __('بله','framework'),
			"id" => $shortname."_show_services",
			"std" => "true",
			"type" => "checkbox");
			
// First
$options[] = array( "name" => __('1st تصویر سرویس','framework'),
			"desc" => __('یک تصویر بارگذاری کنید در سایز (112px در 112px) یا (112px by 224px). تصویر نمونه داخل پوشه ی image قرار دارد.','framework'),
			"id" => $shortname."_first_service_img",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('1st عنوان سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_first_heading",
			"std" => __("مشاوره 24 ساعته رایگان", "framework"),
			"type" => "text");

$options[] = array( "name" => __('1st متن سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_first_text",
			"std" => __("برای مشاره رایگان با ما می توانید در هر سایت از روز با ما تماس بگیرید.", "framework"),
			"type" => "text");

$options[] = array( "name" => __('1st لینک سرویس','framework'),
			"desc" => __("لینک این سرویس را که با کلیک روی آن باید کاربر به آنجا منتقل شود را وارد کنید.",'framework'),
			"id" => $shortname."_first_link",
			"std" => __("", "framework"),
			"type" => "text");

// Second
$options[] = array( "name" => __('2nd تصویر سرویس','framework'),
			"desc" => __('یک تصویر بارگذاری کنید در سایز (112px در 112px) یا (112px by 224px). تصویر نمونه داخل پوشه ی image قرار دارد.','framework'),
			"id" => $shortname."_second_service_img",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('2nd عنوان سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_second_heading",
			"std" => __("معرفی افزونه کاربردی وردپرس", "framework"),
			"type" => "text");

$options[] = array( "name" => __('2nd متن سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_second_text",
			"std" => __("برای مشاره رایگان با ما می توانید در هر سایت از روز با ما تماس بگیرید.", "framework"),
			"type" => "text");

$options[] = array( "name" => __('2nd لینک سرویس','framework'),
			"desc" => __("لینک این سرویس را که با کلیک روی آن باید کاربر به آنجا منتقل شود را وارد کنید.",'framework'),
			"id" => $shortname."_second_link",
			"std" => __("", "framework"),
			"type" => "text");

// Third
$options[] = array( "name" => __('3rd تصویر سرویس','framework'),
			"desc" => __('یک تصویر بارگذاری کنید در سایز (112px در 112px) یا (112px by 224px). تصویر نمونه داخل پوشه ی image قرار دارد.','framework'),
			"id" => $shortname."_third_service_img",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('3rd عنوان سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_third_heading",
			"std" => __("وردپرس در بخش مدرسه وردپرس", "framework"),
			"type" => "text");

$options[] = array( "name" => __('3rd متن سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_third_text",
			"std" => __("برای مشاره رایگان با ما می توانید در هر سایت از روز با ما تماس بگیرید.", "framework"),
			"type" => "text");

$options[] = array( "name" => __('3rd لینک سرویس','framework'),
			"desc" => __("لینک این سرویس را که با کلیک روی آن باید کاربر به آنجا منتقل شود را وارد کنید.",'framework'),
			"id" => $shortname."_third_link",
			"std" => __("", "framework"),
			"type" => "text");


// Fourth
$options[] = array( "name" => __('4th تصویر سرویس','framework'),
			"desc" => __('یک تصویر بارگذاری کنید در سایز (112px در 112px) یا (112px by 224px). تصویر نمونه داخل پوشه ی image قرار دارد.','framework'),
			"id" => $shortname."_fourth_service_img",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('4th عنوان سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_fourth_heading",
			"std" => __("طراحی حرفه ای قالب وردپرس", "framework"),
			"type" => "text");

$options[] = array( "name" => __('4th متن سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_fourth_text",
			"std" => __("برای مشاره رایگان با ما می توانید در هر سایت از روز با ما تماس بگیرید.", "framework"),
			"type" => "text");

$options[] = array( "name" => __('4th لینک سرویس','framework'),
			"desc" => __("لینک این سرویس را که با کلیک روی آن باید کاربر به آنجا منتقل شود را وارد کنید.",'framework'),
			"id" => $shortname."_fourth_link",
			"std" => __("", "framework"),
			"type" => "text");

// Fifth
$options[] = array( "name" => __('5th تصویر سرویس','framework'),
			"desc" => __('یک تصویر بارگذاری کنید در سایز (112px در 112px) یا (112px by 224px). تصویر نمونه داخل پوشه ی image قرار دارد.','framework'),
			"id" => $shortname."_fifth_service_img",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('5th عنوان سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_fifth_heading",
			"std" => __("عنوان یکی از سرویس ها", "framework"),
			"type" => "text");

$options[] = array( "name" => __('5th متن سرویس','framework'),
			"desc" => __("",'framework'),
			"id" => $shortname."_fifth_text",
			"std" => __("برای مشاره رایگان با ما می توانید در هر سایت از روز با ما تماس بگیرید.", "framework"),
			"type" => "text");									

$options[] = array( "name" => __('5th لینک سرویس','framework'),
			"desc" => __("لینک این سرویس را که با کلیک روی آن باید کاربر به آنجا منتقل شود را وارد کنید.",'framework'),
			"id" => $shortname."_fifth_link",
			"std" => __("", "framework"),
			"type" => "text");

/* Option Page - Gallery */
$options[] = array( "name" => __('برگه گالری','framework'),
			"type" => "heading");		

$options[] = array( "name" => __('دسته بندی گالری / عنوان برگه گالری','framework'),
			"desc" => __("متن عناون برگه گالری را وارد کنید برای رنگی شدن از تگ &lt;span&gt;&lt;/span&gt; استفاده کنید.",'framework'),
			"id" => $shortname."_gallery_title",
			"std" => __("ما <span>گالری</span>", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن زیر عناون','framework'),
			"desc" => __("متن زیر عنوان برگه گالری را وارد کنید.",'framework'),
			"id" => $shortname."_gallery_text",
			"std" => __("", "framework"),
			"type" => "textarea");	


/* Option Page - Contact */
$options[] = array( "name" => __('تماس','framework'),
			"type" => "heading");

$options[] = array( "name" => __('آیا می خواهید نقشه ی گوگل نمایش داده شود?','framework'),
			"desc" => __("بله",'framework'),
			"id" => $shortname."_gmap_show",
			"type" => "checkbox");

$options[] = array( "name" => __('نقشه جغرافیایی گوگل','framework'),
			"desc" => __("نقشه جغرافیایی نقشه گوگل خود را وارد کنید.",'framework'),
			"id" => $shortname."_gmap_lati",
			"std" => "48.857976",
			"type" => "text");
			
$options[] = array( "name" => __('نقشه جغرافیایی','framework'),
			"desc" => __("نقشه جغرافیایی خود در گوگل را وارد کنید.",'framework'),
			"id" => $shortname."_gmap_longi",
			"std" => "2.29497",
			"type" => "text");

$options[] = array( "name" => __('در صد بزرگ نمایی نقشه گوگل','framework'),
			"desc" => __("در صد بزرگنمایی نقشه را وارد کنید. مثلا: 17",'framework'),
			"id" => $shortname."_gmap_zoom",
			"std" => "17",
			"type" => "text");

$options[] = array( "name" => __('آدرس','framework'),
			"desc" => __("آدرس محل کار یا دفتر خود را وارد کنید برای نمایش مشتریانتان.",'framework'),
			"id" => $shortname."_postal_address",
			"std" => __("", "framework"),
			"type" => "textarea");
			
$options[] = array( "name" => __('سرتیتر بالای فرم تماس','framework'),
			"desc" => __("سرتیتر بالای فرم تماس را وارد کنید",'framework'),
			"id" => $shortname."_contact_form_heading",
			"std" => __("تماس با ما", "framework"),
			"type" => "text");

$options[] = array( "name" => __('متن زیر تیتر فرم تماس','framework'),
			"desc" => __("یک متن برای نمایش در زیر تیتر فرم تماس وارد کنید.",'framework'),
			"id" => $shortname."_contact_form_text",
			"std" => __("پیغام خود را برای ما بفرستید, ما در کمتر از 48 ساعت به شما پاسخ می دهیم.", "framework"),
			"type" => "text");			

$options[] = array( "name" => __('ایمیل تماس','framework'),
			"desc" => __("ایمیل خود را وارد کنید برای دریافت پیغام هایی که از فرم تماس ارسال می شوند.",'framework'),
			"id" => $shortname."_contact_address",
			"std" => "",
			"type" => "text");			

			

/* Option Page - Footer */
$options[] = array( "name" => __('فوتر','framework'),
			"type" => "heading");

$options[] = array( "name" => __('آیا می خواهید توییتر نمایش داده شود ?','framework'),
			"desc" => __("بله",'framework'),
			"id" => $shortname."_show_twitter",
			"std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('شناسه تویینر','framework'),
			"desc" => __("نام حساب کاربری خود را برای نمایش توییت ها وارد کنید.",'framework'),
			"id" => $shortname."_twitter_username",
			"std" => "envato",
			"type" => "text");

$options[] = array( "name" => __('رنگ زمینه ی توییتر','framework'),
			"desc" => __('یک رنگ برای زمینه ی توییت ها انتخاب کنید بهترین حالت Color is #4099ac','framework'),
			"id" => $shortname."_twitter_bg_color",
			"std" => "#4099ac",
			"type" => "color");

$options[] = array( "name" => __('لوگوی پانوشت','framework'),
			"desc" => __('یک لوگوی کوچک برای نمایش در فوتر را می توانید از اینجا بارگذاری کنید.','framework'),
			"id" => $shortname."_footer_logo",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('متن درباره ما','framework'),
			"desc" => __("متن کوتاهی دربارهی کار خودرا در اینجا وارد کنید.",'framework'),
			"id" => $shortname."_about_text",
			"std" => "بیگ تم در زمینه ی طراحی و فارسی سازی قالب های وردپرس و یک قدم جلو تر از رقبای خود اقدام به فعالیت نموده است , بیگ تم با ارائه ی قالب های رایگان و غیر رایگان وردپرس مفتخر به این است که یک گام در پیشرفت وردپرس فارسی برداشته است.",
			"type" => "textarea");

$options[] = array( "name" => __('لینک ادامه مطلب','framework'),
			"desc" => __("Provide Target URL for Read More button in footer.",'framework'),
			"id" => $shortname."_footer_read_more",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('رنگ زمینه ی فوتر ( پانوشت )','framework'),
			"desc" => __('یک رنگ برای زمینه ی پانشت انتخاب کنید بهترین حالت #2B2E2F','framework'),
			"id" => $shortname."_footer_bg_color",
			"std" => "#2B2E2F",
			"type" => "color");

$options[] = array( "name" => __('رنگ متن فوتر','framework'),
			"desc" => __('یک رنگ برای متن فوتر انتخاب کنید بهترین حالت #808080','framework'),
			"id" => $shortname."_footer_text_color",
			"std" => "#808080",
			"type" => "color");	

$options[] = array( "name" => __('رنگ لینک های فوتر','framework'),
			"desc" => __('یک رنگ برای لین های فوتر انتخاب کنید بهترین حالت #CDCDCD','framework'),
			"id" => $shortname."_footer_link_color",
			"std" => "#CDCDCD",
			"type" => "color");

$options[] = array( "name" => __('رنگ وقتی ماوس روی لینک های فوتر قرار دارد','framework'),
			"desc" => __('یک رنگ برای لینک های فوتر وقتی هاور می شوند انتخاب کنید بهترین حالت #48A2B6','framework'),
			"id" => $shortname."_footer_hover_color",
			"std" => "#48A2B6",
			"type" => "color");	
			
$options[] = array( "name" => __('متن کپی رایت','framework'),
			"desc" => __("متن کپی راین را در این قسمت وارد کنید <br /> &lt; span &gt;متن شما &lt; /span &gt;",'framework'),
			"id" => $shortname."_copyright_text",
			"std" => "&copy; 2013",
			"type" => "textarea");

$options[] = array( "name" => __('متن سمت راست پانوشت','framework'),
			"desc" => __("یک متن برای نمایش در سمت راست فوتر سایت وارد کنید.",'framework'),
			"id" => $shortname."_footer_author_text",
			"std" => "",
			"type" => "textarea");


update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
