<?php
/* Create Custom Post Type : Doctor */
function create_doctor_post_type() 
{
	$labels = array(
		'name' => __( 'پزشک/کارمند','framework'),
		'singular_name' => __( 'پزشک/کارمند','framework' ),
		'add_new' => __('افزودن جدید','framework'),
		'add_new_item' => __('افزودن جدید','framework'),
		'edit_item' => __('ویرایش کارمن/پزشک','framework'),
		'new_item' => __('پزشک/کارمند جدید','framework'),
		'view_item' => __('نمایش کارمند','framework'),
		'search_items' => __('جست و جوی کارمند/پزشک','framework'),
		'not_found' =>  __('پزشک/ کارمندی یافت نشد','framework'),
		'not_found_in_trash' => __('پزشک/کارمندی در سطل زباله نیست','framework'), 
		'parent_item_colon' => ''
	  );
	  
	  $args = array(
		'labels' => $labels,
		'public' => true,
		'exclude_from_search' => false,
		'publicly_queryable' => true,
		'show_ui' => true, 
		'query_var' => true,
		'menu_icon' => get_template_directory_uri() . '/images/doctors-icon.png',
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => 5,
		'supports' => array('title','editor','thumbnail'),
		'rewrite' => array( 'slug' => __('پزشک/کارمند', 'framework') )
	  ); 
	  
	  register_post_type('doctor',$args);
}

add_action( 'init', 'create_doctor_post_type' );



/* Create Doctor Taxonomies */
function doctor_taxonomies(){
    	
	$department_labels = array(
        'name' => __( 'دسته بندی', 'framework' ),
        'singular_name' => __( 'دسته بندی', 'framework' ),
        'search_items' =>  __( 'جست و جوی دسته بندی', 'framework' ),
        'popular_items' => __( 'دسته های محبوب', 'framework' ),
        'all_items' => __( 'همه دسته ها', 'framework' ),
        'parent_item' => __( 'درسته مادر', 'framework' ),
        'parent_item_colon' => __( 'دسته بندی مادر:', 'framework' ),
        'edit_item' => __( 'ویرایش دسته', 'framework' ), 
        'update_item' => __( 'بروز رسانی دسته', 'framework' ),
        'add_new_item' => __( 'افزودن دسته جدید', 'framework' ),
        'new_item_name' => __( 'نام دسته جدید', 'framework' ),
        'separate_items_with_commas' => __( 'چند دسته را با , از هم جدا کنید', 'framework' ),
        'add_or_remove_items' => __( 'حذف یا اضافه کردن دسته بندی', 'framework' ),
        'choose_from_most_used' => __( 'دسته بندی را انتخاب کنید', 'framework' ),
        'menu_name' => __( 'دسته بندی', 'framework' )
    );
	
	register_taxonomy(
	    'department', 
	    array( 'doctor' ), 
	    array(
	        'hierarchical' => true, 
	        'labels' => $department_labels,
	        'show_ui' => true,
	        'query_var' => true,
			'rewrite' => array('slug' => __('دسته بندی', 'framework'))
	    )
	);
	
	 
}
add_action( 'init', 'doctor_taxonomies', 0 );


/* Add Custom Columns */
function doctor_edit_columns($columns)
{

	$columns = array(
		  "cb" => '<input type="checkbox" >',
		  "title" => __( 'نام پزشک/کارمند','framework' ),		  
		  "doc_thumb" => __( 'تصویر','framework' ),		  		 
		  "education" => __('کار','framework'),
		  "date" => __( 'تاریخ','framework' )
	);
	
	return $columns;
}
add_filter("manage_edit-doctor_columns", "doctor_edit_columns");


function doctor_custom_columns($column){
	global $post;
	switch ($column)
	{
		case 'doc_thumb':
			if(has_post_thumbnail($post->ID))
			{
				the_post_thumbnail('thumbnail');
			}
			else
			{
				_e('بدون تصویر','framework');
			}
			break;		
		case 'education':
			$education = get_post_meta($post->ID,'doctor_education',true);
			if(!empty($education))
			{
				echo $education;
			}
			else
			{
				_e('NA','framework');
			}			
			break;
	}
}
add_action("manage_posts_custom_column", "doctor_custom_columns");

