<?php

/* Create the Gallery Item Custom Post Type */
function create_gallery_post_type() 
{
	$labels = array(
		'name' => __( 'گالری ها','framework'),
		'singular_name' => __( 'گالری ها','framework' ),
		'add_new' => __('افزودن جدید','framework'),
		'add_new_item' => __('افزودن گالری جدید','framework'),
		'edit_item' => __('ویرایش گالری','framework'),
		'new_item' => __('افزودن گالری','framework'),
		'view_item' => __('نمایش گالری','framework'),
		'search_items' => __('جست و جوی گالری','framework'),
		'not_found' =>  __('گالری یافت نشد','framework'),
		'not_found_in_trash' => __('هیچ گالری در سطل زباله نیست','framework'), 
		'parent_item_colon' => ''
	  );
	  
	  $args = array(
		'labels' => $labels,
		'public' => true,
		'exclude_from_search' => false,
		'publicly_queryable' => true,
		'show_ui' => true, 
		'query_var' => true,
		'menu_icon' => get_template_directory_uri() . '/images/gallery.png',
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => 5,
		'supports' => array('title','editor','thumbnail'),
		'rewrite' => array( 'slug' => __('gallery-item', 'framework') )
	  ); 
	  
	  register_post_type('gallery-item',$args);
}
add_action( 'init', 'create_gallery_post_type' );



/* Create Gallery Item Type Taxonomy */
function create_gallery_item_type_taxonomy(){
    $labels = array(
        'name' => __( 'دسته بندی گالری', 'framework' ),
        'singular_name' => __( 'دسته بندی گالری', 'framework' ),
        'search_items' =>  __( 'جست و جوی دسته ی گالری', 'framework' ),
        'popular_items' => __( 'دسته بندی گالری محبوب', 'framework' ),
        'all_items' => __( 'دسته بندی همه گالری ها', 'framework' ),
        'parent_item' => __( 'دسته بندی گالری مادر', 'framework' ),
        'parent_item_colon' => __( 'دسته بندی گالری مادر:', 'framework' ),
        'edit_item' => __( 'ویرایش دسته بندی گالری', 'framework' ), 
        'update_item' => __( 'بروز رسانی دسته گالری', 'framework' ),
        'add_new_item' => __( 'افزودن دسته بندی گالری جدید', 'framework' ),
        'new_item_name' => __( 'نام دسته بندی گالری جدید', 'framework' ),
        'separate_items_with_commas' => __( 'دسته بندی گالری ها را با , از هم جدا کنید', 'framework' ),
        'add_or_remove_items' => __( 'افزودن یا حذف دسته بندی گالری', 'framework' ),
        'choose_from_most_used' => __( 'دسته بندی گالری را انتخاب کنید', 'framework' ),
        'menu_name' => __( 'دسته بندی گالری', 'framework' )
    );
    
	register_taxonomy(
	    'gallery-item-type', 
	    array( 'gallery-item' ), 
	    array(
	        'hierarchical' => true, 
	        'labels' => $labels,
	        'show_ui' => true,
	        'query_var' => true,
	        'rewrite' => array('slug' => __('gallery-item-type', 'framework'))
	    )
	); 
}

add_action( 'init', 'create_gallery_item_type_taxonomy', 0 );


/* Add Custom Columns */
function gallery_edit_columns($columns){  

        $columns = array(  
            "cb" => "<input type=\"checkbox\" />",  
            "title" => __('Gallery Item Title','framework'),
			"gallery-thumb" => __('تصویر شاخص','framework'),
            "type" => __('دسته بندی گالری','framework'),
			"date" => __('انتشار', 'framework')
        );
  
        return $columns;  
}  
  
function gallery_custom_columns($column){  
        global $post;  
        switch ($column)  
        {    
            case 'gallery-thumb': 			 
				if(has_post_thumbnail($post->ID)) 
				{
					?>
					<a href="<?php the_permalink(); ?>" target="_blank">
						<?php the_post_thumbnail( 'testimonial-thumb' ); ?>
					</a>
					<?php
				}
				else
				{
					_e('No Thumbnail','framework');
				}
                break;
			
			case 'type':  
                echo get_the_term_list($post->ID, 'gallery-item-type', '', ', ','');  
                break;
        }  
} 
add_filter("manage_edit-gallery-item_columns", "gallery_edit_columns");  
add_action("manage_posts_custom_column",  "gallery_custom_columns");

